Google有料稼働中
Nano Banana Pro Preview
APIモデル名: nano-banana-pro-preview
Nano Banana Pro PreviewはGoogleの画像生成モデルで、Api.Airforceの統合APIで提供されています。 1つのキーでOpenAI互換APIを通じてアクセスでき、Api.Airforce上の他の65以上のモデルと併せて利用できます。
料金
解像度: 1:1, 16:9, 9:16
品質: standard
仕様
- プロバイダー
- タイプ
- 画像生成モデル
Nano Banana Pro Preview の活用シーン
- 画像生成 — マーケティングビジュアル、コンセプトアート、商品写真、イラスト。
関連モデル
Gemini 2.0 FlashGoogle · ¥21 / 1MGemini 2.0 Flash 001Google · ¥21 / 1MGemini 2.0 Flash LiteGoogle · ¥14 / 1MGemini 2.0 Flash Lite 001Google · ¥9,151 / 1MGemini 2.5 Computer Use Preview 10Google · ¥9,151 / 1MGemini 2.5 FlashGoogle · ¥84 / 1MGemini 2.5 Flash Image PreviewGoogle · ¥11 / 1MGemini 2.5 Flash Image TokenGoogle · ¥53 / 1MGemini 2.5 Flash LiteGoogle · ¥2 / 1MGemini 2.5 Flash Lite Preview 09Google · ¥21 / 1MGemini 2.5 Flash Lite Preview 09Google · ¥13 / 1MGemini 2.5 Flash Native Audio LatestGoogle · ¥9,151 / 1M
Nano Banana Pro Preview — よくある質問
- Nano Banana Pro Preview の料金はいくらですか?
- Nano Banana Pro Preview はトークン単位ではなく生成単位で課金されます。現在の料金はpricing pageをご確認ください。
- Nano Banana Pro Preview には何ができますか?
- Nano Banana Pro PreviewはGoogleの画像生成モデルで、Api.Airforce APIからアクセスできます。
- Nano Banana Pro Preview は無料で使えますか?
- Nano Banana Pro Preview は従量課金制の有料モデルです — サブスクリプション不要、使用量分のみ課金されます。
- APIで Nano Banana Pro Preview を使うにはどうすればよいですか?
- Nano Banana Pro Preview はOpenAI互換です。任意のOpenAI SDKの向き先を https://api.airforce/v1 に変更し、モデルID nano-banana-pro-preview とApi.AirforceのAPIキーを渡してください。
- Nano Banana Pro Preview はどこが開発しましたか?
- Nano Banana Pro PreviewはGoogleの画像生成モデルで、Api.Airforceの統合ゲートウェイを通じて100+の他のモデルとともに提供されています。
リアルタイムメトリクスを読み込み中…
リアルタイムメトリクスを読み込み中…
リアルタイムメトリクスを読み込み中…
APIでNano Banana Pro Previewを利用する
OpenAI互換 — 任意のOpenAI SDKをhttps://api.airforce/v1に向け、nano-banana-pro-previewをモデルとして渡してください。
cURL
curl https://api.airforce/v1/images/generations \
-H "Authorization: Bearer $AIRFORCE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "nano-banana-pro-preview",
"prompt": "a red panda coding"
}'Python
from openai import OpenAI
client = OpenAI(base_url="https://api.airforce/v1", api_key="$AIRFORCE_API_KEY")
img = client.images.generate(model="nano-banana-pro-preview", prompt="a red panda coding")
print(img.data[0].url)JavaScript
import OpenAI from "openai";
const client = new OpenAI({ baseURL: "https://api.airforce/v1", apiKey: process.env.AIRFORCE_API_KEY });
const img = await client.images.generate({ model: "nano-banana-pro-preview", prompt: "a red panda coding" });
console.log(img.data[0].url);